Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class BEROctetStringParser

    java.lang.Object
      org.bouncycastle.asn1.BEROctetStringParser

All Implemented Interfaces:
  ASN1OctetStringParser, DEREncodable

    public class BEROctetStringParser

extends java.lang.Object
implements ASN1OctetStringParser

Constructor Summary
`protected` | `BEROctetStringParser(ASN1ObjectParser parser)` Deprecated. will be removed

Method Summary
`DERObject` | `getDERObject()`
`java.io.InputStream` | `getOctetStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BEROctetStringParser

    protected BEROctetStringParser(ASN1ObjectParser parser)

  Deprecated. will be removed

Method Detail

### getOctetStream

    public java.io.InputStream getOctetStream()

  Specified by:
    `getOctetStream` in interface `ASN1OctetStringParser`

### getDERObject

    public DERObject getDERObject()

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD